curl https://production.methodfi.com/teams/mle/public_keys \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const keys = await method.teams.mle.publicKeys.list();
keys = method.teams.mle.public_keys.list()
{
"success": true,
"data": [
{
"id": "team_jwk_12345",
"type": "direct",
"jwk": {
"kid": "team_123",
"kty": "RSA",
"alg": "RSA-OAEP-256",
"use": "enc",
"n": "s3C9N7Vz...J7c",
"e": "AQAB"
},
"well_known_endpoint": null,
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-06-01T10:30:00Z",
"updated_at": "2026-06-01T10:30:00Z"
},
{
"id": "team_jwk_67890",
"type": "well_known",
"jwk": null,
"well_known_endpoint": "https://api.yourcompany.com/.well-known/jwks.json",
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-05-20T14:20:00Z",
"updated_at": "2026-05-20T14:20:00Z"
},
{
"id": "team_jwk_24680",
"type": "direct",
"jwk": {
"kid": "my-sig-key-2026",
"kty": "RSA",
"alg": "RS256",
"use": "sig",
"n": "p7K4R2Xb...M4a",
"e": "AQAB",
"iat": 1780309800,
"nbf": 1780309800,
"exp": 1811845800
},
"well_known_endpoint": null,
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-06-01T10:30:00Z",
"updated_at": "2026-06-01T10:30:00Z"
}
],
"message": null
}
Team JWKS
List MLE Public Keys
GET
/
teams
/
mle
/
public_keys
curl https://production.methodfi.com/teams/mle/public_keys \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const keys = await method.teams.mle.publicKeys.list();
keys = method.teams.mle.public_keys.list()
{
"success": true,
"data": [
{
"id": "team_jwk_12345",
"type": "direct",
"jwk": {
"kid": "team_123",
"kty": "RSA",
"alg": "RSA-OAEP-256",
"use": "enc",
"n": "s3C9N7Vz...J7c",
"e": "AQAB"
},
"well_known_endpoint": null,
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-06-01T10:30:00Z",
"updated_at": "2026-06-01T10:30:00Z"
},
{
"id": "team_jwk_67890",
"type": "well_known",
"jwk": null,
"well_known_endpoint": "https://api.yourcompany.com/.well-known/jwks.json",
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-05-20T14:20:00Z",
"updated_at": "2026-05-20T14:20:00Z"
},
{
"id": "team_jwk_24680",
"type": "direct",
"jwk": {
"kid": "my-sig-key-2026",
"kty": "RSA",
"alg": "RS256",
"use": "sig",
"n": "p7K4R2Xb...M4a",
"e": "AQAB",
"iat": 1780309800,
"nbf": 1780309800,
"exp": 1811845800
},
"well_known_endpoint": null,
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-06-01T10:30:00Z",
"updated_at": "2026-06-01T10:30:00Z"
}
],
"message": null
}
Retrieves a list of your registered public keys for Message Level Encryption. The list includes both encryption keys (
use: "enc") and signing keys (use: "sig").
Returns
Returns an array of your active registered public key objects. Disabled keys are not returned.curl https://production.methodfi.com/teams/mle/public_keys \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const keys = await method.teams.mle.publicKeys.list();
keys = method.teams.mle.public_keys.list()
{
"success": true,
"data": [
{
"id": "team_jwk_12345",
"type": "direct",
"jwk": {
"kid": "team_123",
"kty": "RSA",
"alg": "RSA-OAEP-256",
"use": "enc",
"n": "s3C9N7Vz...J7c",
"e": "AQAB"
},
"well_known_endpoint": null,
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-06-01T10:30:00Z",
"updated_at": "2026-06-01T10:30:00Z"
},
{
"id": "team_jwk_67890",
"type": "well_known",
"jwk": null,
"well_known_endpoint": "https://api.yourcompany.com/.well-known/jwks.json",
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-05-20T14:20:00Z",
"updated_at": "2026-05-20T14:20:00Z"
},
{
"id": "team_jwk_24680",
"type": "direct",
"jwk": {
"kid": "my-sig-key-2026",
"kty": "RSA",
"alg": "RS256",
"use": "sig",
"n": "p7K4R2Xb...M4a",
"e": "AQAB",
"iat": 1780309800,
"nbf": 1780309800,
"exp": 1811845800
},
"well_known_endpoint": null,
"status": "active",
"contact": "security@yourcompany.com",
"created_at": "2026-06-01T10:30:00Z",
"updated_at": "2026-06-01T10:30:00Z"
}
],
"message": null
}